librime: rime::Memory Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
rime::Memory Class Referenceabstract

`#include <memory.h>`

Inheritance diagram for rime::Memory:
[legend]

## Public Member Functions
| Memory (const Ticket &ticket)
virtual | ~Memory ()
virtual bool | Memorize (const CommitEntry &commit_entry)=0
virtual bool | ProcessSegmentOnCommit (CommitEntry &commit_entry, const Segment &seg)
bool | StartSession ()
bool | FinishSession ()
bool | DiscardSession ()
Dictionary * | dict () const
UserDictionary * | user_dict () const
const Language * | language () const

## Protected Member Functions
void | OnCommit (Context *ctx)
void | OnDeleteEntry (Context *ctx)
void | OnUnhandledKey (Context *ctx, const KeyEvent &key)

## Protected Attributes
the< Dictionary > | dict_
the< UserDictionary > | user_dict_
the< Language > | language_

## Constructor & Destructor Documentation

## ◆ Memory()

rime::Memory::Memory | ( | const Ticket & | ticket | ) |

## ◆ ~Memory()

rime::Memory::~Memory | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ dict()

Dictionary * rime::Memory::dict | ( |  | ) | const
| inline

## ◆ DiscardSession()

bool rime::Memory::DiscardSession | ( |  | ) |

## ◆ FinishSession()

bool rime::Memory::FinishSession | ( |  | ) |

## ◆ language()

const Language * rime::Memory::language | ( |  | ) | const
| inline

## ◆ Memorize()

virtual bool rime::Memory::Memorize | ( | const CommitEntry & | commit_entry | ) |
| pure virtual

Implemented in rime::ScriptTranslator, and rime::TableTranslator.

## ◆ OnCommit()

void rime::Memory::OnCommit | ( | Context * | ctx | ) |
| protected

## ◆ OnDeleteEntry()

void rime::Memory::OnDeleteEntry | ( | Context * | ctx | ) |
| protected

## ◆ OnUnhandledKey()

void rime::Memory::OnUnhandledKey | ( | Context * | ctx,
|  | const KeyEvent & | key )
| protected

## ◆ ProcessSegmentOnCommit()

bool rime::Memory::ProcessSegmentOnCommit | ( | CommitEntry & | commit_entry,
|  | const Segment & | seg )
| virtual

Reimplemented in rime::ScriptTranslator.

## ◆ StartSession()

bool rime::Memory::StartSession | ( |  | ) |

## ◆ user_dict()

UserDictionary * rime::Memory::user_dict | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ dict_

the<Dictionary> rime::Memory::dict_
| protected

## ◆ language_

the<Language> rime::Memory::language_
| protected

## ◆ user_dict_

the<UserDictionary> rime::Memory::user_dict_
| protected

The documentation for this class was generated from the following files:

- memory.h
- memory.cc